Rename or update a folder
PATCH
/v1/folders/{id}
const url = 'https://shareout.site/v1/folders/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","slug":"example","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shareout.site/v1/folders/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "slug": "example", "description": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string
slug
string
description
string | null
Example generated
{ "name": "example", "slug": "example", "description": "example"}Responses
Section titled “ Responses ”Updated
Media type application/json
object
id
string
name
string
slug
string
description
string | null
artifact_count
integer
created_at
string format: date-time
Example generated
{ "id": "example", "name": "example", "slug": "example", "description": "example", "artifact_count": 1, "created_at": "2026-04-15T12:00:00Z"}Resource not found
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}